Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 440934 - FTBFS QuantLib-0.9.0-5.fc9
Summary: FTBFS QuantLib-0.9.0-5.fc9
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: QuantLib
Version: 9
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On: 450231
Blocks: FTBFS gcc43errors
TreeView+ depends on / blocked
 
Reported: 2008-04-04 17:16 UTC by FTBFS
Modified: 2008-06-24 19:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-24 19:09:19 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log.bz2 (deleted)
2008-04-04 17:16 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-04-04 17:16 UTC, FTBFS
no flags Details

Description FTBFS 2008-04-04 17:16:34 UTC
QuantLib-0.9.0-5.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-04-04 17:16:38 UTC
Created attachment 301254 [details]
root.log.bz2

root.log for x86_64

Comment 2 FTBFS 2008-04-04 17:16:42 UTC
Created attachment 301255 [details]
build.log.bz2

build.log for x86_64

Comment 3 Tom "spot" Callaway 2008-04-05 23:46:01 UTC
OK, I officially have no idea why this one failed to build on your side.

The build log says:

g++: Internal error: Segmentation fault (program cc1plus)
Please submit a full bug report.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make[1]: *** [riskstats.o] Error 1

Quantlib is a huge memory and resource hog to build, perhaps the system wasn't
qualified to do the job? ;)

This one built fine on March 24th (with gcc 4.3.0-3):
http://koji.fedoraproject.org/packages/QuantLib/0.9.0/5.fc9/data/logs/x86_64/build.log

The root.log doesn't show what gcc you're using, so I suppose it is possible
that a gcc bug has crept in between gcc 4.3.0-3 and now.

I'm throwing this one to NEEDINFO, I'd appreciate if you could give this another
pass.


Comment 4 Matt Domsch 2008-04-06 03:15:09 UTC
I filed 441090: RFE: capture core files into $resultdir
because I didn't capture the segfault.

The failure occurred on a build system with 4GB of RAM and 2GB of swap, 2
dual-core 3GHz processors, after 44 minutes running.  I'm re-running the build.


Comment 5 Matt Domsch 2008-04-06 04:02:05 UTC
my build failed again in exactly the same place.  It's using gcc-4.3.0-6 in the
chroot.  Hoping it was just the system, I built it on another system, this time
an 8GB 2 quad-core processors.  It failed after about 10 minutes.  This sure
smells like a gcc bug.

Comment 6 Bug Zapper 2008-05-14 08:53:50 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Tom "spot" Callaway 2008-06-24 19:09:19 UTC
Fixed in rawhide (gcc 4.3.1-2).

http://koji.fedoraproject.org/koji/buildinfo?buildID=53701


Note You need to log in before you can comment on or make changes to this bug.